summaryrefslogtreecommitdiff
path: root/testsuite/tests/lib-unix/common/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/tests/lib-unix/common/Makefile')
-rw-r--r--testsuite/tests/lib-unix/common/Makefile10
1 files changed, 7 insertions, 3 deletions
diff --git a/testsuite/tests/lib-unix/common/Makefile b/testsuite/tests/lib-unix/common/Makefile
index 2883a8aeb4..706137bead 100644
--- a/testsuite/tests/lib-unix/common/Makefile
+++ b/testsuite/tests/lib-unix/common/Makefile
@@ -23,11 +23,15 @@ ADD_BYTERUN_FLAGS="-I $(OTOPDIR)/otherlibs/win32unix"
endif
default: reflector.exe fdstatus.exe cmdline_prog.exe
- $(MAKE) check
+ @$(MAKE) check
include $(BASEDIR)/makefiles/Makefile.several
include $(BASEDIR)/makefiles/Makefile.common
%.exe: %.c
- @$(CC) $(CFLAGS) $(CPPFLAGS) $(if $(filter msvc,$(CCOMPTYPE)),/Fe$*.exe,-o $*.exe) $*.c
-
+ifeq ($(CCOMPTYPE),msvc)
+ @set -o pipefail ; \
+ $(CC) $(CFLAGS) $(CPPFLAGS) /Fe$*.exe $*.c | tail -n +2
+else
+ @$(CC) $(CFLAGS) $(CPPFLAGS) -o $*.exe $*.c
+endif